Skip to content

Retrieve the principal entitlement changes

Request

Beta
OAuth 2.0 scope:
  • okta.governance.entitlements.read
Admin roles:
  • APP_ADMIN

Retrieves the principal's old and new effective entitlement changes for a resource

Path
principalEntitlementsChangeIdstringrequired

Unique identifier for the principal entitlements change. The entitlement change is Base64-encoded.

Example:governance/api/v1/principal-entitlements-changes/cmVwMWtOQ2NmQnhhRWVEbXcwZzI6cmVwOHBCVVRWVG9na2lYNWUwZzI
GET
/governance/api/v1/principal-entitlements-changes/{principalEntitlementsChangeId}
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/governance/api/v1/principal-entitlements-changes/governance/api/v1/principal-entitlements-changes/cmVwMWtOQ2NmQnhhRWVEbXcwZzI6cmVwOHBCVVRWVG9na2lYNWUwZzI

Responses

Return principal entitlement changes

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
entitlementsChangedArray of objects, [ 0 .. 200 ] items(entitlement-changed-full)

List of changed entitlements

resourceOrnstring, (okta-resource-orn)(resource-orn)

The Okta resource in ORN format

See the ORN format for supported resources.

resourceobject(target-resource)

Representation of a resource

principalOrnstring, (okta-user-orn)(user-orn)

The Okta user in ORN format

Example:"orn:okta:directory:00o8rk36Bp5eZKOrw0g4:users:00u1ktfFMZ5HNoj7k0g4"
principalobject(target-principal-full)

Representation of a principal

Response
{ "entitlementsChanged": [ {}, {}, {}, {} ], "resourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ", "resource": { "externalId": "0oafxqCAJWWGELFTYASJ", "type": "APPLICATION" }, "principalOrn": "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00ub0oNGTSWTBKOLGLNR", "principal": { "externalId": "00ub0oNGTSWTBKOLGLNR", "type": "OKTA_USER" }, "_links": { "principal-entitlements": {} } }